package com.ruoyi.system.mapper;

import com.huashe.common.annotation.mybatis.IgnoreTenant;
import com.ruoyi.system.domain.SysTenant;

import java.util.List;

/**
 * 用户表 数据层
 *
 * @author ruoyi
 */

@IgnoreTenant
public interface SysTenantMapper {

    List<SysTenant> selectTenantList(SysTenant sysTenant);

    SysTenant selectTenantById(Long id);

    int insertTenant(SysTenant sysTenant);

    int updateTenant(SysTenant sysTenant);

    /**
     * 删除租户
     *
     * @param id 租户主键
     * @return 结果
     */
    public int deleteSysTenantById(Long id);

    /**
     * 批量删除租户
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysTenantByIds(Long[] ids);
}
